# do not build debug packages for now
%global debug_package %{nil}

%global version 2.0.9
%global revision 36.db6a79b.2.0

Name:		mcg
Version:	%{version}
Release:	%{revision}%{?dist}
Summary:	"Multi cloud gateway CLI"

License:	ASL 2.0
URL:		https://www.noobaa.com/
Source0:	noobaa-operator-2.0-db6a79b.tar.gz
Patch0:		hide_install_uninstall_from_cli.patch

BuildRequires:	rsync
BuildRequires:	go-compilers-golang-compiler

%description
"Multi cloud gateway CLI"

%prep
%setup -c
%patch0 -p1

%build
go version
CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor
strip -s noobaa-operator

%install
# Use install that provides option for file permission
install -D -p -m 755 noobaa-operator %{buildroot}%{_bindir}/noobaa
install -D -p -m 644 doc/noobaa.1 %{buildroot}%{_mandir}/man1/noobaa.1

%files
%{_bindir}/noobaa

%doc doc/*
%{_mandir}/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Dec 03 2019 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.0.9-36.db6a79b.2.0
- Rebase to mcg-operator-2.0.9-36.db6a79b.2.0

* Fri Nov 29 2019 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.0.9-35.db6a79b.2.0
- Rebase to mcg-operator-2.0.9-35.db6a79b.2.0

* Fri Nov 29 2019 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.0.9-34.db6a79b.2.0
- Rebase to mcg-operator-2.0.9-34.db6a79b.2.0

* Thu Nov 28 2019 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.0.9-33.db6a79b.2.0
- Rebase to mcg-operator-2.0.9-33.db6a79b.2.0

* Wed Nov 27 2019 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.0.8-32.8ad20ff.2.0
- Rebase to mcg-operator-2.0.8-32.8ad20ff.2.0

* Sun Oct 27 2019 Liran Mauda <lmauda@redhat.com> - 2.0.4-7
- building for x86_64 and ppc64le

* Sun Aug 25 2019 Liran Mauda <lmauda@redhat.com>
- Multi cloud gateway CLI
